/************************************************************************
* File:        COLOR.H
* Description: Header file for our color module.
* Author:      Jesse Towner.
************************************************************************/

#ifndef __COLOR_H_
#define __COLOR_H_

#ifdef __cplusplus
extern "C" {
#endif


/* S T R U C T U R E S *************************************************/


/* The RGB color structure. */
typedef struct gfxRgb_t {
	unsigned char r;         /* Red color value */
	unsigned char g;         /* Green color value */
	unsigned char b;         /* Blue color value */
	unsigned char a;         /* Alignment byte (not used as an alpha) */
	} gfxRgb_t;

/* Our 256 color palette. */
typedef gfxRgb_t gfxPalette_t[256];


/* P R O T O T Y P E S ***************************************************/


void GFX_WaitForRetrace(void);
void GFX_SetPalette(gfxPalette_t pal, int startColor, int endColor, int vsync);
void GFX_GetPalette(gfxPalette_t pal, int startColor, int endColor);
void GFX_SetColor(gfxRgb_t * rgb, int color);
void GFX_GetColor(gfxRgb_t * rgb, int color);
int  GFX_FindBestColor(gfxPalette_t pal, int r, int g, int b);


#ifdef __cplusplus
};
#endif

#endif

/* end of file */